[tool.poetry]
name = "fw-curation"
version = "0.1.2"
description = "Flywheel Curation tools"
authors = ["Flywheel <support@flywheel.io>"]
license = "MIT"
readme = "README.md"
repository = "https://gitlab.com/flywheel-io/tools/lib/fw-curation.git"
homepage = "https://flywheel-io.gitlab.io/tools/lib/fw-curation"
documentation = "https://flywheel-io.gitlab.io/tools/lib/fw-curation"
classifiers = [
    "Topic :: Scientific/Engineering :: Medical Science Apps.",
    "Topic :: Software Development :: Libraries :: Python Modules"
]

[tool.poetry.dependencies]
python = "^3.8"
flywheel-gear-toolkit = "^0.5.6"
flywheel-sdk = ">=14"

[tool.poetry.dev-dependencies]
black = "^21.10b0"
coverage = {version = "^6.1.1", extras = ["toml"]}
isort = "^5.10.1"
mypy = "^0.910"
pycodestyle = "^2.8.0"
pydocstyle = "^6.1.1"
pylint = "^2.11.1"
pytest = "^6.2.5"
pytest-cov = "^3.0.0"
pytest-mock = "^3.6.1"
Sphinx = "^4.3.0"
sphinx-rtd-theme = "^1.0.0"

[build-system]
requires = ["poetry-core>=1.0.0"]
build-backend = "poetry.core.masonry.api"
